Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.smil
Enum OdfAccumulateType

    java.lang.Object
      java.lang.Enum<OdfAccumulateType>
          org.odftoolkit.odfdom.dom.type.smil.OdfAccumulateType

All Implemented Interfaces:
  Serializable, Comparable<OdfAccumulateType>

    public enum OdfAccumulateType

extends Enum<OdfAccumulateType>

DOM implementation of OpenDocument attribute smil:accumulate.

Enum Constant Summary
`NONE`
`SUM`

Method Summary
`static OdfAccumulateType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfAccumulateType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfAccumulateType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfAccumulateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUM

    public static final OdfAccumulateType SUM

### NONE

    public static final OdfAccumulateType NONE

Method Detail

### values

    public static OdfAccumulateType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfAccumulateType c : OdfAccumulateType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfAccumulateType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfAccumulateType>`
  Returns:
    return the name of OdfAccumulateType

### toString

    public static String toString(OdfAccumulateType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfAccumulateType, see smil:accumulate
  Returns:
    return the name of OdfAccumulateType

### enumValueOf

    public static OdfAccumulateType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfAccumulateType
  Returns:
    return the constant of OdfAccumulateType, see smil:accumulate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.